﻿using System;

using Android.App;
using Android.Content.PM;
using Android.Runtime;
using Android.Views;
using Android.Widget;
using Android.OS;
using Com.Syncfusion.Charts;

namespace ChartSample.Droid
{
    [Activity(Label = "ChartSample", Icon = "@drawable/icon", Theme = "@style/MainTheme", MainLauncher = true, ConfigurationChanges = ConfigChanges.ScreenSize | ConfigChanges.Orientation)]
    public class MainActivity : global::Xamarin.Forms.Platform.Android.FormsAppCompatActivity
    {
        protected override void OnCreate(Bundle bundle)
        {
            TabLayoutResource = Resource.Layout.Tabbar;
            ToolbarResource = Resource.Layout.Toolbar;

            Xamarin.Forms.Forms.ViewInitialized += (object sender, Xamarin.Forms.ViewInitializedEventArgs e) =>
            {
                if (e.NativeView is SfChart)
                {
                    SfChart nativeChart = e.NativeView as SfChart;

                    for (int i = 0; i < nativeChart.Series.Size(); i++)
                    {
                        (nativeChart.Series.Get(i) as ChartSeries).DataMarkerLabelCreated += MainActivity_DataMarkerLabelCreated;
                    }
                }
            };

            base.OnCreate(bundle);

            global::Xamarin.Forms.Forms.Init(this, bundle);
            LoadApplication(new App());
        }

        private void MainActivity_DataMarkerLabelCreated(object sender, ChartSeries.DataMarkerLabelCreatedEventArgs e)
        {
            ChartSeries series = sender as ChartSeries;

            double yValue = Convert.ToDouble(((series.DataSource as ObservableArrayList).Get(e.P0.Index) as ChartDataPoint).GetY());

            e.P0.Label = yValue + "%";
        }
    }
}

