﻿using Syncfusion.SfChart.XForms.UWP;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.InteropServices;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms.Platform.UWP;
using Syncfusion.SfChart.XForms;
using NativeChart = Syncfusion.UI.Xaml.Charts;
using ChartSample;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml;

[assembly: ExportRenderer(typeof(ChartExt), typeof(ChartSample.UWP.CustomRenderer))]
namespace ChartSample.UWP
{
   public class CustomRenderer : SfChartRenderer
    {
        protected override void OnElementChanged(ElementChangedEventArgs<SfChart> e)
        {
            base.OnElementChanged(e);
            if(Control != null)
            {
               (Control.Series[0] as NativeChart.ColumnSeries).AdornmentsInfo.LabelTemplate = Application.Current.Resources["labelTemplate"] as DataTemplate;
                (Control.Series[0] as NativeChart.ColumnSeries).AdornmentsInfo.SegmentLabelContent = Syncfusion.UI.Xaml.Charts.LabelContent.LabelContentPath;
            }
        }
    }

    public class ValueConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, string language)
        {
            var adorn = value as NativeChart.ChartAdornment;
            if (adorn.YData == double.NaN)
                return "0" + "%";
            else
                return adorn.YData.ToString() + "%";

        }
        public object ConvertBack(object value, Type targetType, object parameter, string language)
        {
            throw new NotImplementedException();
        }
    }
}
