﻿using Syncfusion.SfChart.XForms;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace ChartSample
{
   public class PieChart : ContentPage
    {
        ObservableCollection<ChartDataPoint> datas;

        public PieChart()
        {
            ChartExt chart = new ChartExt();

            datas = new ObservableCollection<ChartDataPoint>();
         
            datas.Add(new ChartDataPoint("Category A", 10));
            datas.Add(new ChartDataPoint("Category B", 20));
            datas.Add(new ChartDataPoint("Category C", 30));
            datas.Add(new ChartDataPoint("Category D", 40));


            CategoryAxis xAxis = new CategoryAxis();
            chart.PrimaryAxis = xAxis;

            NumericalAxis yAxis = new NumericalAxis();
            yAxis.LabelCreated += YAxis_LabelCreated;
            chart.SecondaryAxis = yAxis;

            ColumnSeries series = new ColumnSeries();
            series.ItemsSource = datas;
            series.DataMarker = new ChartDataMarker() { ShowLabel = true, ShowMarker = false };
            series.DataMarker.LabelContent = LabelContent.Percentage;
            chart.Series.Add(series);

            Content = chart;
        }

        private void YAxis_LabelCreated(object sender, ChartAxisLabelEventArgs e)
        {
            e.LabelContent = e.LabelContent + "%";
        }
    }

    public class ChartExt : SfChart
    {

    }
}
